/**
 * Theme Name:        SCR At Night
 * Template:          hello-biz
 * Theme URI:         https://scr.uxdiff.com
 * Description:       Custom theme for the Senior Common Room at UWI Mona
 * Version:           1.9.70
 * Author:            D'Oyen Williams
 * Author URI:        https://doyenwilliams.com
 * Tags:              custom themes
 * Tested up to:      7.0
 * Requires at least: 6.2
 * Requires PHP:      7.4
 */


/* fix for spacing - Elementor Hello Biz header */
body.wp-singular main, body.archive main, body.blog main {
	margin-top: 50px;
}

body.home main {
	margin-top: 0px;
}

/* fix for dropdown sub-menu spacing - Elementor Hello Biz Header */
header .ehp-header__dropdown.has-layout-vertical {
	row-gap: 20px;
}

/* fix for filling gaps - Elementor Hello Biz footer */
[data-elementor-type="ehp-footer"] > [data-element_type="container"] {
	padding: 0px;
	margin-top: 20px;
}

/* styles for event roll on Events at the SCR page */
#event-roll {
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

#event-roll li {
    list-style-type: none;
	border-radius: 15px;
}

#event-roll li img {
    border-radius: 15px;
}

#roll-starter {}

#roll-ender {}

#roll-starter div, #roll-ender div {
	border-radius: 15px;
	padding: 25px 75px 25px 25px;
	color: #FFF;
}

/* modifications to UM Member Directory displays */
.um-directory .um-members-wrapper .um-members.um-members-grid .um-member .um-member-card .um-member-name a {
	font-size:150% !important;
}

.um-directory .um-members-wrapper .um-members.um-members-grid .um-member.um-role-um_club-staff .um-member-card .um-member-name a {
	font-size:85% !important;
}

.um-role-um_club-staff .um-member-metaline-social_nickname {
	font-size:200% !important;
	font-weight: bold;
	line-height: unset !important;
}

.um-role-um_club-staff .um-member-metaline-social_nickname strong {
	font-size:14px !important;
	font-weight: bold !important;
}

.um-profile.um .um-profile-headericon a {
    color: initial !important;
}

.um .um-form input[type=number], .um .um-form input[type=password], .um .um-form input[type=search], .um .um-form input[type=tel], .um .um-form input[type=text], .um .um-form textarea, .um .upload-progress {
    border: 1px solid #999 !important;
}

.um-directory .um-member-directory-header .um-member-directory-header-row .um-member-directory-nav-line .um-member-directory-view-type .um-member-directory-view-type-a {
    color: #999 !important;
}

/* hiding sub-product details - Product Bundles */
.asnp-productList-wrapper {
	display: none;
}

.asnp-App-GridItem-wrapper {
	margin-bottom: 40px;
}

.asnp-totalPrice-section {
	margin-top: 25px;
}

/* fix for additional costs and services area - Booking */
.mbfw-additionl-detail-listing-section {
	max-width: 25%;
}

.mbfw-additionl-detail-listing-section:first-of-type {
	max-width: 50%;
}

/* fix for WooCommerce Product Gallery trigger floating over everything */
.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
	z-index: 19;
}

/* fix for spacing in WooCommerce Additional Info Attributes table */
.woocommerce table.shop_attributes td {
	padding-left: 10px;
}

/* styles for Hurricane Melissa forms */
.grid-item {
	margin-bottom: 20px;
}

.grid-sizer, .grid-item {
	width: 32%;
}
.grid-item--width2 {
	width: 64%;
}

.gutter-sizer {
	width: 2%;
}

.drive_item_donate, .drive_item_request, .drive_item_int, .drive_item_ext {
	/* width: 32%;
	margin-bottom: 20px; */
	border-radius: 25px;
}

.drive_item_donate .drive_name, .drive_item_request .drive_name, .drive_item_int .drive_name, .drive_item_ext .drive_name {
	border-radius: 25px 25px 0 0;
}

.drive_item_donate h6, .drive_item_request h6, .drive_item_int h6, .drive_item_ext h6 {
	margin: 0;
	font-size: 0.75rem;
}

.drive_item_donate h2, .drive_item_request h2, .drive_item_int h2, .drive_item_ext h2 {
	margin: 5px 0 0;
	font-size: 2rem;
}

.drive_name {
	color: #FFF;
	padding: 10px 20px 10px 25px;
	width: 100%;
}

.drive_details {
	padding: 5px 15px;
	width: 100%;
}

div.drive_details a {
	color: #000;
}

div.drive_details a:hover {
	color: #FFF;
	font-weight: bold;
}

div.drive_learnmore a {
	color: #000;
	text-decoration: italic;
	font-size: 12px;
}

.drive_details .parish-badge-container {
	font-size: 80%;
	margin: 5px 0 15px;
}

.drive_details .parish-badge-container ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
}

.drive_details li.parish-badge {
	display: inline-block;
	padding: 5px 15px;
	border-radius: 20px;
	margin-right: 5px;
	color: #FFF;
}

.drive_item_donate {
	/* background: #D7F5FA; */
	background: #D7E8FA;
}

.drive_item_donate .drive_name, .drive_item_donate li.parish-badge {
	/* background: #72989E; */
	background: #126CCC;
}

.drive_item_request {
	/* background: #53BDA5; */
	background: #CDFAF0;
}

.drive_item_request .drive_name, .drive_item_request li.parish-badge {
	background: #458072;
}

.drive_item_int {
	/* background: #F5C26B; */
	background: #FCEACA;
}

.drive_item_int .drive_name, .drive_item_int li.parish-badge {
	background: #CC8306;
}

.drive_item_ext {
	/* background: #EBB8DD; */
	background: #FFE6F8;
}

.drive_item_ext .drive_name, .drive_item_ext li.parish-badge {
	background: #8c0367;
}



@media screen and (max-width: 1023px) {
	/* CSS rules to apply when screen width is 1024px or less */
	.drive_item_donate, .drive_item_request, .drive_item_int, .drive_item_ext {
		width: 49%%;
	}
}

@media screen and (max-width: 782px) {
	/* CSS rules to apply when screen width is 1024px or less */
	.drive_item_donate, .drive_item_request, .drive_item_int, .drive_item_ext {
		width: 100%;
	}
}